<?php if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 ?>

<?php if(!$is_admin && $is_name) { ?>
	if(wrTrim(f.wr_name.value) == "") {
		alert("이름을 입력해 주세요.");
		f.wr_name.focus();
		return false;
	}
<?php } ?>

<?php if(!$is_admin && $is_password) { ?>
	if(wrTrim(f.wr_password.value) == "") {
		alert("패스워드를 입력해 주세요.");
		f.wr_password.focus();
		return false;
	}
<?php } ?>

<?php if ($is_category) { ?>
	if(wrTrim(f.ca_name.value) == "") {
		alert("분류를 선택해 주세요.");
		f.ca_name.focus();
		return false;
	}
<?php } ?>

if(wrTrim(f.wr_subject.value) == "") {
	alert("글제목을 입력해 주세요.");
	f.wr_subject.focus();
	return false;
}

<?php if($set['write_summary']) { ?>
	var po_cnt = parseInt(document.getElementById('po_summary').innerHTML);
	if (po_cnt > 250) {
		alert("요약글은 250글자 이하로 쓰셔야 합니다.");
		return false;
	}
<?php } ?>
